import request from "@/utils/request.js";

/**
 * 获取文章列表
 * @param keyword 关键字
 * @param range 0-发现 1-关注用户 2-我的
 */
export function getArticleList(data) {
	return request.get('book/page', data);
}

/**
 * 当前用户的文章获赞与收藏数
 * @param keyword 关键字
 * @param type 0-点赞 1-收藏 2-我的
 */
export function getUserArticleList(data) {
	return request.get('book/likeCollect/page', data);
}

/**
 * 其他用户的文章获赞与收藏数
 * @param userId 用户id
 */
export function getOtherUserCount(id) {
	return request.get(`book/like/Num/${id}`);
}

/**
 * 设置文章 关注/收藏/点赞
 * @param keyword 关键字
 * @param range 0-发现 1-关注用户 2-我的1
 */
export function setUserState(data) {
	return request.post('book/toggle', data);
}

/**
 * 新增评论
 * @param bookId 文章id 
 * @param content 评论内容
 * @param parentId 父评论id
 * @param replyId 回复的用户id
 */
export function addComment(data) {
	return request.post(`book/comment/add`, data);
}

/**
 * 获取粉丝列表
 * @param keyword 搜索关键字
 * @param range 0-发现（默认） 1-关注用户
 * @param type 0-点赞 1-收藏 2-我的
 * @param userId 用户id
 */
export function getFollowList(data) {
	return request.get(`book/follow/list`, data);
}

/**
 * 获取一级评论
 * @param id 文章id
 */
export function getCommentOne(data) {
	return request.get(`book/commentOne`, data);
}

/**
 * 获取二级评论
 * @param id 文章id
 */
export function getCommentTwo(data) {
	return request.get(`book/commentTwo`, data);
}

/**
 * 删除评论
 * @param id 评论id
 */
export function deleteComment(id) {
	return request.post(`book/comment/del/${id}`);
}

/**
 * 获取文章详情
 * @param id 文章id
 */
export function getArticleDetail(id) {
	return request.get(`book/detail/${id}`);
}

/**
 * 添加文章
 * @param content 文章内容
 * @param coverImage 封面图片URL
 * @param id 文章id
 * @param status 状态(0-草稿 1-待审核)
 * @param title 文章标题
 */
export function addArticle(data) {
	return request.post('book/save', data);
}

/**
 * 删除文章
 */
export function deleteArticle(id) {
	return request.post(`book/delete/${id}`);
}

/**
 * 获取视频列表
 */
export function getBookVideos(data) {
	return request.get(`book/videopage/`, data);
}

/**
 * 修改购物车数量
 * @param int cartId  购物车id
 * @param int number 修改数量
 */
export function changeCartNum(cartId, number) {
	return request.post("cart/num", {
		id: cartId,
		number: number
	}, {}, 1);
}